from django.contrib import admin
from models import *


class SlideInline(admin.StackedInline):
    model = Slide
    extra = 12


class SlideshowAdmin(admin.ModelAdmin):
    inlines = [SlideInline]
    prepopulated_fields = {'slug': ('title',)}


admin.site.register(Slideshow, SlideshowAdmin)
