# Create your views here.
import json
from ox.django.shortcuts import render_to_json_response
from django.shortcuts import get_object_or_404, render_to_response
from models import *

def slideshow(request, slug):
    slideshow = get_object_or_404(Slideshow, slug=slug)
    return render_to_response("index.html", {'slideshow': slideshow})

def slideshow_json(request):
    id = request.GET.get('id', 0)
    slideshow = get_object_or_404(Slideshow, pk=id)
    slides = [s.get_dict() for s in Slide.objects.filter(slideshow=slideshow)]
    return render_to_json_response(slides)
